//app.js
App({
  onLaunch: function () {
    var openid;
    var _this=this;
    wx.getStorage({
      key: 'openid',
      success: function(res) {
        openid=res.data
        _this.globalData.openid = openid
        if (!openid) {
          // 登录
          wx.login({
            success: res => {
              console.log(res)
              // 发送 res.code 到后台换取 openId, sessionKey, unionId
              wx.request({
                url: 'https://www.scxjc.club/api/wx/openid',
                method: 'GET',
                data: {
                  code: res.code
                },
                success: res => {
                  wx.setStorage({
                    key: 'openid',
                    data: res.data.data.openid,
                  })
                }
              })
            }
          })
        }
      },
    })   
    // 获取用户信息
    wx.getSetting({
      success: res => {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
          wx.getUserInfo({
            success: res => {
              // 可以将 res 发送给后台解码出 unionId
              this.globalData.userInfo = res.userInfo

              // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
              // 所以此处加入 callback 以防止这种情况
              if (this.userInfoReadyCallback) {
                this.userInfoReadyCallback(res)
              }
            }
          })
        }
      }
    })
    // wx.request({
    //   url:'https://www.scxjc.club/api/wx/sujectitem',
    //   success: res => {
    //     this.globalData.categoryArray = res.data.data
    //   }
    // })
  },
  globalData: {
    userInfo: null,
    host:'https://www.scxjc.club',
    categoryArray:[]
  }
})